Debian Bug report logs - #667082
terminatorc: FTBFS[kfreebsd]: error: 'GtkWidget' has not been declared

version graph

Package: src:terminatorx; Maintainer for src:terminatorx is Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>;

Reported by: debian-bsd@lists.debian.org

Date: Tue, 3 Apr 2012 21:39:01 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version terminatorx/3.84-1

Fixed in version terminatorx/3.84-2

Done: Alessio Treglia <alessio@debian.org>

Bug is archived. No further changes may be made.

Forwarded to alex@lisas.de

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#667082; Package src:terminatorx. (Tue, 03 Apr 2012 21:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-bsd@lists.debian.org:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Tue, 03 Apr 2012 21:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: terminatorc: FTBFS[kfreebsd]: error: 'GtkWidget' has not been declared
Date: Tue, 03 Apr 2012 23:36:44 +0200
Package: src:terminatorx
Version: 3.84-1
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the kfreebsd-* buildds:

g++ -DHAVE_CONFIG_H -I. -I..    -I/usr/include/libxml2 -g -O2 -finput-charset=utf-8   -DXML_MANUAL=\"/usr/share/terminatorX/doc/terminatorX-manual/C/terminatorX-manual.xml\" -pthread -I/usr/include/gtk-2.0 -I/usr/lib/i386-kfreebsd-gnu/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/glib-2.0 -I/usr/lib/i386-kfreebsd-gnu/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12    -D_REENTRANT  -g -O2 -c -o tX_mouse.o tX_mouse.cc
In file included from tX_engine.cc:41:0:
tX_mouse.h:163:21: error: 'GtkWidget' has not been declared
tX_mouse.h:164:20: error: 'GtkWidget' has not been declared
tX_mouse.h:165:22: error: 'GtkWidget' has not been declared
tX_mouse.h:166:17: error: 'GtkWidget' has not been declared
tX_mouse.h:167:19: error: 'GtkWidget' has not been declared
tX_mouse.h:169:37: error: 'GtkWidget' has not been declared
tX_mouse.h:170:36: error: 'GtkWidget' has not been declared
tX_mouse.h:171:38: error: 'GtkWidget' has not been declared
tX_mouse.h:172:33: error: 'GtkWidget' has not been declared
tX_mouse.h:173:35: error: 'GtkWidget' has not been declared
make[5]: *** [tX_engine.o] Error 1
make[5]: *** Waiting for unfinished jobs....

Full build log at
https://buildd.debian.org/status/fetch.php?pkg=terminatorx&arch=kfreebsd-i386&ver=3.84-1&stamp=1333327471

Regards

    Christoph

If you have further questions please mail debian-bsd@lists.debian.org

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#667082; Package src:terminatorx. (Wed, 04 Apr 2012 06:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessio Treglia <alessio@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Wed, 04 Apr 2012 06:54:04 GMT) Full text and rfc822 format available.

Message #10 received at 667082@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: alex@lisas.de
Cc: 667082@bugs.debian.org
Subject: Re: Bug#667082: terminatorc: FTBFS[kfreebsd]: error: 'GtkWidget' has not been declared
Date: Wed, 4 Apr 2012 08:48:52 +0200
[Message part 1 (text/plain, inline)]
Hi,

on Debian we are going to apply the attached patch
to prevent a build failure due to a missing #include
statement, you may find the bug report here:

   http://bugs.debian.org/667082

Thanks for considering.

-- 
Alessio Treglia          | www.alessiotreglia.com
Debian Developer         | alessio@debian.org
Ubuntu Core Developer    | quadrispro@ubuntu.com
0416 0004 A827 6E40 BB98 90FB E8A4 8AE5 311D 765A
[24-missing_include.patch (application/octet-stream, attachment)]

Added tag(s) pending and patch. Request was from Alessio Treglia <alessio@debian.org> to control@bugs.debian.org. (Wed, 04 Apr 2012 06:54:06 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'alex@lisas.de'. Request was from Alessio Treglia <alessio@debian.org> to control@bugs.debian.org. (Wed, 04 Apr 2012 06:54:07 GMT) Full text and rfc822 format available.

Reply sent to Alessio Treglia <alessio@debian.org>:
You have taken responsibility. (Wed, 04 Apr 2012 07:09:09 GMT) Full text and rfc822 format available.

Notification sent to debian-bsd@lists.debian.org:
Bug acknowledged by developer. (Wed, 04 Apr 2012 07:09:10 GMT) Full text and rfc822 format available.

Message #19 received at 667082-close@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: 667082-close@bugs.debian.org
Subject: Bug#667082: fixed in terminatorx 3.84-2
Date: Wed, 04 Apr 2012 07:04:20 +0000
Source: terminatorx
Source-Version: 3.84-2

We believe that the bug you reported is fixed in the latest version of
terminatorx, which is due to be installed in the Debian FTP archive:

terminatorx_3.84-2.debian.tar.gz
  to main/t/terminatorx/terminatorx_3.84-2.debian.tar.gz
terminatorx_3.84-2.dsc
  to main/t/terminatorx/terminatorx_3.84-2.dsc
terminatorx_3.84-2_kfreebsd-i386.deb
  to main/t/terminatorx/terminatorx_3.84-2_kfreebsd-i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 667082@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alessio Treglia <alessio@debian.org> (supplier of updated terminatorx package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Wed, 04 Apr 2012 08:50:42 +0200
Source: terminatorx
Binary: terminatorx
Architecture: source kfreebsd-i386
Version: 3.84-2
Distribution: unstable
Urgency: low
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Changed-By: Alessio Treglia <alessio@debian.org>
Description: 
 terminatorx - realtime audio synthesizer
Closes: 667082
Changes: 
 terminatorx (3.84-2) unstable; urgency=low
 .
   * Add missing #include to prevent build failure on
     kfreebsd. (Closes: #667082)
Checksums-Sha1: 
 aaf5a35b15fb45a5b0ad54da5727cda1fef39d3f 2342 terminatorx_3.84-2.dsc
 cb6a75331c84220426220a51dc4b3f56488966bd 18932 terminatorx_3.84-2.debian.tar.gz
 fcf4ac7d7fad09ada5266f2e588325a8d1db09b5 359972 terminatorx_3.84-2_kfreebsd-i386.deb
Checksums-Sha256: 
 4e90bbfb550876e69c46c10064bd938dcef69bb2bdbe754dd2e783d8781493c6 2342 terminatorx_3.84-2.dsc
 bd8be86c83af926d2163e2144c41b7448e15a5876d329ab51c5bab56ad4c7a8e 18932 terminatorx_3.84-2.debian.tar.gz
 0a41fa6786d5ca81fdb97a8b939fe60e896f1096bc576cf912d0d81f20403c85 359972 terminatorx_3.84-2_kfreebsd-i386.deb
Files: 
 a1f02185b8daeddb36fb4f35c198b825 2342 sound optional terminatorx_3.84-2.dsc
 12ff9e869307b69f696242ec2b42a464 18932 sound optional terminatorx_3.84-2.debian.tar.gz
 4251aca454aa9986e830591c88c0468d 359972 sound optional terminatorx_3.84-2_kfreebsd-i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJPe/C1AAoJEOikiuUxHXZavw4P/A7i0/XH8FR1RO74ZlYud+A1
/+CnsKSNCvWsr6y21dRRSBYe2Nw7FlYh57t6eqcnaN0V9ulFfI1tjvNgfAgNvhzd
nwOKIUJNWOdVKFpHtUdFRo+PnNSHoqkOP92UTIPTFouEGP868q7cPTfeKm1jgJKD
RxeDetyULhvROFGcmGEeiJWDBPAWc7MplrVtATzOWXk4WzFxVu/IVcP51X9wQxaC
5V3uMRLZcsVSmsnINNx8bpd3iJ8uvkvKIIE4PiSqsJgpZuLZSHiqSDl5m3olB2mo
SboHOF8OHO2h3TAokvaqD4Yr5eqJuLRzwOrey+YElSVgvaDAhy88id/r9KO6wjq0
wPihr0Q3HMHl8cQeUcggmRd9W7ua06/vSK7EDVt3JbGOwO9ZoUn0EAqeRZDRycZ0
0NDG75mRCVuFJ2vVnHwrsLJ3r3n3HYwurWkoq37lUq7guGcIb/uWKS3vzK4udac3
46bhenxsFxh1wGnN/mJpJD485nXUgejjI9zdaO8aCOkgNe0wX23ru1v7Q4txKWHx
gDFZLs6CPnQhsBGKFD+Uztoq5VxD163efvYMoREkq5wPmmPymFtZlD2mWSMs+v4/
LScqKtwpQnjRUoCUgD7TOdUt8/EuQdi5Y/KHY4HLw/mYSlAi5V/eD3fL5hotqVeW
+egqkhaZsvDx3/Orqiv8
=5xYN
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 12 May 2012 07:42:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 05:40:43 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.